<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.statistical.ui"
   name="%PLUGIN_NAME"
   version="3.0.0"
   provider-name="%PLUGIN_PROVIDER"
   class="org.eclipse.hyades.statistical.ui.EditorPlugin">

   <runtime>
      <library name="statistical_ui.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.statistical.ui"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.swt"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.hyades.ui"/>
      <import plugin="org.eclipse.hyades.models.statistical" export="true"/>
      <import plugin="org.eclipse.emf.common"/>
      <import plugin="org.eclipse.hyades.models.hierarchy"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.hyades.models.cbe" export="true"/>
      <import plugin="org.eclipse.hyades.logging.commons" export="true"/>
      <import plugin="org.eclipse.hyades.logging.core" export="true"/>
   </requires>


   <extension-point id="StatConModule" name="StatCon Module" schema="schema/StatConModule.exsd"/>
   <extension-point id="StatConFile" name="StatCon File" schema="schema/StatConFile.exsd"/>
 
<!-- GENERIC STATCON EDITOR AND WIZARD -->
   <extension
         point="org.eclipse.ui.newWizards">
      <category
            name="StatCon"
            id="org.eclipse.hyades.statistical.ui.new">
      </category>
      <wizard
            name="StatCon file"
            icon="icons/full/obj16/logo_16.gif"
            category="org.eclipse.hyades.statistical.ui.new"
            class="org.eclipse.hyades.statistical.ui.editor.internal.StatisticalModelGraphEditorWizard"
            id="org.eclipse.hyades.statistical.ui.editor.newwizard">
         <description>
            Create a new StatCon file
         </description>
         <selection
               class="org.eclipse.core.resources.IResource">
         </selection>
      </wizard>
   </extension>
   
 <extension point="org.eclipse.ui.perspectiveExtensions"> 
        <perspectiveExtension 
            targetID="org.eclipse.hyades.ui.perspective.TestPerspective"> 
            <newWizardShortcut id="org.eclipse.hyades.statistical.ui.editor.newwizard"/> 
        </perspectiveExtension>
	</extension>

   <extension
         point="org.eclipse.ui.editors">
      <editor
            name="StatCon"
            default="true"
            icon="icons/full/obj16/logo_16.gif"
            extensions="statcon"
            contributorClass="org.eclipse.ui.texteditor.BasicTextEditorActionContributor"
            class="org.eclipse.hyades.statistical.ui.editor.internal.StatisticalModelGraphEditor"
            id="org.eclipse.hyades.statistical.ui.editor.internal.StatisticalModelGraphEditor">
      </editor>
   </extension>

</plugin>
